Home Forums Etch shop with 5 columns

This topic contains 37 replies, has 2 voices, and was last updated by  boavida.maria 6 months ago.

Viewing 15 posts - 16 through 30 (of 38 total)
  • Author
    Posts
  • #46466

    boavida.maria
    Participant

    hello,
    there is a new problem, that changed the colours/sizes of fonts etc of my website, again….

    woocommerce said it needed to be updated, and so i did; then the website changed things again, and it says that the child-theme is not updated , what should i do??…

    they said i should copy this to get support:

    
    ### WordPress Environment ###
    
    Home URL: http://www.serradura.pt
    Site URL: http://www.serradura.pt
    WC Version: 3.0.0
    Log Directory Writable: ✔
    WP Version: 4.7.3
    WP Multisite: –
    WP Memory Limit: 1 GB
    WP Debug Mode: –
    WP Cron: ✔
    Language: en_US
    
    ### Server Environment ###
    
    Server Info: Apache
    PHP Version: 5.6.30
    PHP Post Max Size: 300 MB
    PHP Time Limit: 600
    PHP Max Input Vars: 100000
    cURL Version: 7.36.0
    OpenSSL/1.0.1e
    
    SUHOSIN Installed: –
    MySQL Version: 5.6.35
    Max Upload Size: 300 MB
    Default Timezone is UTC: ✔
    fsockopen/cURL: ✔
    SoapClient: ✔
    DOMDocument: ✔
    GZip: ✔
    Multibyte String: ✔
    Remote Post: ✔
    Remote Get: ✔
    
    ### Database ###
    
    WC Database Version: 2.6.14
    WC Database Prefix: wp_
    woocommerce_sessions: ✔
    woocommerce_api_keys: ✔
    woocommerce_attribute_taxonomies: ✔
    woocommerce_downloadable_product_permissions: ✔
    woocommerce_order_items: ✔
    woocommerce_order_itemmeta: ✔
    woocommerce_tax_rates: ✔
    woocommerce_tax_rate_locations: ✔
    woocommerce_shipping_zones: ✔
    woocommerce_shipping_zone_locations: ✔
    woocommerce_shipping_zone_methods: ✔
    woocommerce_payment_tokens: ✔
    woocommerce_payment_tokenmeta: ✔
    MaxMind GeoIP Database: ✔
    
    ### Security ###
    
    Secure connection (HTTPS): ❌Your store is not using HTTPS. Learn more about HTTPS and SSL Certificates.
    Hide errors from visitors: ✔
    
    ### Active Plugins (8) ###
    
    Contact Form 7: by Takayuki Miyoshi – 4.7
    WPBakery Visual Composer: by Michael M - WPBakery.com – 5.0.1
    Kirki Toolkit: by Aristeides Stathopoulos – 2.3.7
    ThemeLuxe Shortcodes & Custom Post Types: by Joshua Flowers – 1.0.0
    WC Variations Radio Buttons: by 8manos – 1.1.5
    WooCommerce PayPal Express Checkout Gateway: by Automattic – 1.1.2
    WooCommerce Stripe Gateway: by WooCommerce – 3.1.5
    WooCommerce: by Automattic – 3.0.0
    
    ### Settings ###
    
    API Enabled: ✔
    Force SSL: –
    Currency: EUR (€)
    Currency Position: right
    Thousand Separator: ,
    Decimal Separator: .
    Number of Decimals: 2
    Taxonomies: Product Types: external (external)
    grouped (grouped)
    simple (simple)
    variable (variable)
    
    ### WC Pages ###
    
    Shop base: #667 - /shop/
    Cart: #668 - /shop/cart/
    Checkout: #669 - /checkout/
    My account: #670 - /shop/my-account/
    
    ### Theme ###
    
    Name: Etch Child
    Version: 1.0.0
    Author URL: http://themeluxe.com
    Child Theme: ✔
    Parent Theme Name: Etch
    Parent Theme Version: 1.1.5
    Parent Theme Author URL: https://themeluxe.com/
    WooCommerce Support: ✔
    
    ### Templates ###
    
    Overrides: etch/woocommerce/archive-product.php
    etch/woocommerce/content-product.php
    etch/woocommerce/content-single-product.php
    etch/woocommerce/loop/add-to-cart.php
    etch/woocommerce/loop/loop-end.php
    etch/woocommerce/loop/loop-start.php
    etch/woocommerce/single-product/price.php version 2.4.9 is out of date. The core version is 3.0.0
    etch/woocommerce/single-product/product-image.php version 2.6.3 is out of date. The core version is 3.0.0
    etch/woocommerce/single-product/tabs/tabs.php
    etch/woocommerce/single-product.php
    
    Outdated Templates: ❌Learn how to update
    
    #46467

    boavida.maria
    Participant

    the message is this:

    Your theme (Etch Child) contains outdated copies of some WooCommerce template files. These files may need updating to ensure they are compatible with the current version of WooCommerce. You can see which files are affected from the system status page. If in doubt, check with the author of the theme.
    Learn more about templates

    #46468

    Joshua
    Keymaster

    That is for Woocommerce support- not here. And while you could update the WooCommerce child templates, I don’t recommend it. This is a somewhat generic error they add and theme’s intentionally override their templates.

    1. Footer text widgets use the h3 tag and this can be set your theme options under Appearance -> Customizer.

    2. Please check the Woocommerce docs and support – https://docs.woocommerce.com/document/change-number-of-products-displayed-per-page/

    #46469

    boavida.maria
    Participant

    Ok, i see.. thank you.

    still on the shop page: http://www.serradura.pt/shop/
    the first is ok, but the next pages (2,3 etc) the products and information text are too much close to the top menu, how can i set a distance there? please check: http://www.serradura.pt/shop/page/2/

    #46470

    boavida.maria
    Participant

    woocommerce, says this problem is to be solved by the developer os the theme etch…
    here’s what they wrote:

    “WooCommerce runs a check of the template overrides within the plugin and compares the version of the default template file to the one in your theme’s folder. In this case, two of the files are out of date:

    etch/woocommerce/single-product/price.php version 2.4.9 is out of date. The core version is 3.0.0
    etch/woocommerce/single-product/product-image.php version 2.6.3 is out of date. The core version is 3.0.0

    Your theme developer should be able to go through these template files to make sure they’re up to date; it may not cause any issues at the moment but eventually a problem will likely occur.

    Please contact your theme developer and have them update the theme’s template overrides, or move them out of your theme directory to use the standard WooCommerce templates.”

    I did the updating that the dasboard asked me to; and there it says “you have the updated version” but it seems there are these two things that keep saying to fix, and i don’t know how to, can you help?

    #46471

    Joshua
    Keymaster

    They are correct about those files, but like I said, these templates are not issues related to what you’re experiencing and don’t require updates as of right now. Those files are intentionally modified.

    The reason you’re content is so close to the top on subsequent pages is because you’ve added content (as a header) to your first page using Visual Composer and it’s not showing up on subsequent pages. If you’re looking to resolve that, then you do need to get support from WooCommerce.

    But if you just want to add padding to the top of those pages, you could do something like this in your child theme’s style.css file:

    .paged.woocommerce .content-wrapper {
    padding-top: 100px;
    }
    #46473

    boavida.maria
    Participant

    Ok.. woocommerce keeps saying the same, but i’ll try again.

    i placed that code in the etch-child css, but again nthing happens..

    can you confirm whether this code should be placed at:
    APPEARANCE/EDITOR/STYLESHEET-CSS

    or i should go through:

    CUSTOMIZE/ADVANCED/CUSTOM CSS?

    if o write it on this second, it doesn’t show on the first and vice-versa – it that normal?

    #46474

    boavida.maria
    Participant

    this what the style sheet has:

    /*
    Theme Name: Etch Child
    Theme URI: http://themeluxe.com/themes/etch
    Description: Etch Child Theme
    Author: Joshua Flowers
    Author URI: http://themeluxe.com
    Template: etch
    Version: 1.0.0
    License: GNU General Public License v2 or later
    License URI: http://www.gnu.org/licenses/gpl-2.0.html
    Tags: light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready
    Text Domain: etch-amin

    .paged.woocommerce .content-wrapper {
    padding-top: 100px;
    }
    */

    #46476

    Joshua
    Keymaster

    I’m not sure what you keep asking WooCommerce. Unless you want content showing up on pages 2, 3, and 4, there’s not really anything to ask them. This is just not a feature I believe they currently support, but you can request it from them. It’s not related to the theme, but I also doubt they will add it as a feature.

    People generally use page headers for this area, which do show up on all pages and is probably a better idea than using content added with Visual Composer. However, if you want to keep using your content, I’ve just given you a way to add spacing to the following page. WooCommerce will not help you with customizations like this, so if you’re asking them for this, they will continue turning you down.

    You added the code to the correct file, but you added it inside the comment. It should look like this:

    /*
    Theme Name: Etch Child
    Theme URI: http://themeluxe.com/themes/etch
    Description: Etch Child Theme
    Author: Joshua Flowers
    Author URI: http://themeluxe.com
    Template: etch
    Version: 1.0.0
    License: GNU General Public License v2 or later
    License URI: http://www.gnu.org/licenses/gpl-2.0.html
    Tags: light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready
    Text Domain: etch-amin
    */
    
    .paged.woocommerce .content-wrapper {
    padding-top: 100px;
    }
    
    #46478

    boavida.maria
    Participant

    ok, i’m sorry that i’m asking so many questions, but i place the codes, and absolutely nothing happens…

    starting again:

    Ah! i thought that using the visual composer was equivalent!.. i thought it was just easier for amateurs like me.
    i now understand; i should use the headers.

    problem solved!…

    About putting the shop with 4 columns, do you have any option that i can try, since the first nothing happened?

    thank you very very much.
    maria

    #46479

    boavida.maria
    Participant

    i mean, sorry, something happened but not the right thing:
    the first 2 columns on the left show products, the next two (on the right) stay empty.

    #46480

    Joshua
    Keymaster

    The option I gave you before for 5 columns can also be used to make 4 columns. If the CSS I gave you wasn’t working, you may want to confirm that it also wasn’t added in the comment section of your stylesheet like the above code as well.

    #46481

    boavida.maria
    Participant

    yes i confirmed that right away, it was n the correct place, and i changed it to 4 columns, but still the result in one giant colum, or two columns on de left and two empty columns on the right – the products only appear on the left first columns..

    so i’ll just kkeep the three columns..

    another thing: (last one!)

    inside the product page, there are some social icons, i want to remove them or put them white – where can this be changed/removed?
    please check the link, the icon is on the bottom of the text:

    http://www.serradura.pt/product/branco-alfinete/

    thank you

    #46482

    Joshua
    Keymaster

    You can add this to your CSS and it will hide them:

    .single-product.woocommerce .social-icons-wrap {
        display: none;
    }
    #46483

    boavida.maria
    Participant

    i added but nothing happened, here how it looks like:

    /*
    Theme Name: Etch Child
    Theme URI: http://themeluxe.com/themes/etch
    Description: Etch Child Theme
    Author: Joshua Flowers
    Author URI: http://themeluxe.com
    Template: etch
    Version: 1.0.0
    License: GNU General Public License v2 or later
    License URI: http://www.gnu.org/licenses/gpl-2.0.html
    Tags: light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready
    Text Domain: etch-amin
    */

    .single-product.woocommerce .social-icons-wrap {
    display: none;
    }

    .paged.woocommerce .content-wrapper {
    padding-top: 100px;
    }

    and the link: http://www.serradura.pt/product/branco-alfinete/

Viewing 15 posts - 16 through 30 (of 38 total)

You must be logged in to reply to this topic.